Page MenuHomePhabricator

Have a RESTbase vagrant role
Closed, ResolvedPublic

Description

With the release of RESTBase (T89481) and it's integration into VE (T89066), it should also be available in MW-Vagrant so that developers may use it (alone, or in conjunction with other solutions, such as VE)

Details

Related Gerrit Patches:

Event Timeline

Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2015, 5:16 PM
mobrovac claimed this task.Mar 5 2015, 5:24 PM
mobrovac triaged this task as High priority.
mobrovac updated the task description. (Show Details)
mobrovac set Security to None.

Current status: the RESTBase and Cassandra roles are in place, but due to memory constraints for Cassandra, it is currently not possible to start the vbox VM. Concretely, JobRunner's HHVM is not left with enough RAM to create the translation cache (it needs approx 200MB for that). I'm trying to find a work-around for this.

Change 195106 had a related patch set uploaded (by Mobrovac):
Add the RESTBase and Cassandra roles to MW-Vagrant

https://gerrit.wikimedia.org/r/195106

GWicke added a subscriber: GWicke.EditedMar 15 2015, 4:23 PM

@mobrovac, there are some tips on how to configure Cassandra to run within only ~200-300m of memory at http://opensourceconnections.com/blog/2013/08/31/building-the-perfect-cassandra-test-environment/. I have used those before with success.

We should also consider switching to the sqlite backend once that's ready.

@mobrovac, there are some tips on how to configure Cassandra to run within only ~200-300m of memory at http://opensourceconnections.com/blog/2013/08/31/building-the-perfect-cassandra-test-environment/. I have used those before with success.

All of the optimisations are already incorporated in the patch.

We should also consider switching to the sqlite backend once that's ready.

Ofc, but let's go with this until that time. VE people want it in MW-Vagrant.

GWicke moved this task from Backlog to In progress on the RESTBase board.Mar 17 2015, 8:17 PM

The patch is now ready to be reviewed/merged.

@bd808 , this is now ready to be reviewed/merged :P

Change 195106 merged by jenkins-bot:
Add the RESTBase and Cassandra roles to MW-Vagrant

https://gerrit.wikimedia.org/r/195106

mobrovac closed this task as Resolved.May 19 2015, 8:28 AM